# wol-changer

## Overview
`wol-changer` is a tool to change volume, brightness, and keyboard brightness, displaying a notification bar using `wol`. This project is configured to build and tag RPM packages using Tito.

## Table of Contents
- [Features](#features)
- [Prerequisites](#prerequisites)
- [Installation](#installation)
- [Usage](#usage)
- [Configuration](#configuration)
- [Contributing](#contributing)
- [License](#license)
- [Contact](#contact)


## Features
- Change volume
- Change screen brightness
- Change keyboard brightness
- Display notifications using `wol`

## Prerequisites
- `tito` for building and tagging RPM packages
- `sound-theme-freedesktop`
- `wob`
- `alsa-utils`
- `pulseaudio-utils`
- `brightnessctl`

## Installation
To install the `wol-changer` tool, follow these steps:

1. Clone the repository:
    ```bash
    git clone https://pagure.io/wol-volume-changer
    cd wol-volume-changer
    ```

2. Build the RPM package using Tito:
    ```bash
    tito build --tgz
    ```

3. Install the RPM package:
    ```bash
    sudo rpm -i wol-changer-1.0.3-1.noarch.rpm
    ```

## Usage
After installation, you can use the following commands to change volume, brightness, and keyboard brightness:

- Change volume:
    ```bash
    wol-change-volume
    ```

- Change screen brightness:
    ```bash
    wol-change-brightness
    ```

- Change keyboard brightness:
    ```bash
    wol-change-key-bright
    ```

## Configuration
The project is configured using a `.tito/tito.props` file. Below is the configuration used:

```props
[buildconfig]
builder = tito.builder.Builder
tagger = tito.tagger.VersionTagger
changelog_do_not_remove_cherrypick = 0
changelog_format = %s (%ae)
```

## Contributing
If you would like to contribute to this project, please follow these steps:

1. Fork the repository.
2. Create a new branch for your feature or bugfix.
3. Make your changes and commit them with a clear message.
4. Push your changes to your fork.
5. Create a pull request to the main repository.

## License
This project is licensed under the GPLv3 License. See the `LICENSE` file for more details.

## Contact
For any questions or issues, please contact Junior_FOX at cjuniorfox@gmail.com.
